Last Comment Bug 707225 - Addon update check should take into account compatibility preferences
: Addon update check should take into account compatibility preferences
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- major (vote)
: Thunderbird 11.0
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
Mentors:
Depends on: 527141
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-02 10:40 PST by Mark Banner (:standard8)
Modified: 2011-12-13 13:22 PST (History)
2 users (show)
standard8: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
patch for TB&SM [Checkin: comment 5] (3.41 KB, patch)
2011-12-02 13:41 PST, Jens Hatlak (:InvisibleSmiley)
standard8: review+
bugspam.Callek: review+
standard8: approval‑comm‑aurora+
Details | Diff | Review

Description Mark Banner (:standard8) 2011-12-02 10:40:57 PST
+++ This bug was initially created as a clone of Bug #527141 +++

Just like FF have done in bug 527141, we should pass the new compatibility check parameter to AMO in our searches for add-ons. Then AMO can take account of what to give us when searching for add-ons.
Comment 1 Jens Hatlak (:InvisibleSmiley) 2011-12-02 13:41:10 PST
Created attachment 578708 [details] [diff] [review]
patch for TB&SM [Checkin: comment 5]

I'm too lazy to file a bug for SM. ;-)
Comment 2 Jens Hatlak (:InvisibleSmiley) 2011-12-10 01:19:45 PST
Comment on attachment 578708 [details] [diff] [review]
patch for TB&SM [Checkin: comment 5]

ping for reviews; base bug made it to Aurora meanwhile
Comment 3 Justin Wood (:Callek) 2011-12-11 02:40:52 PST
Comment on attachment 578708 [details] [diff] [review]
patch for TB&SM [Checkin: comment 5]

a+ for SeaMonkey Aurora. I can't technically approve/review the TB side though, so leaving that review targetted.
Comment 4 Mark Banner (:standard8) 2011-12-13 05:56:46 PST
Thanks for the patch.
Comment 6 Mark Banner (:standard8) 2011-12-13 13:22:27 PST
(for the trunk version, we just use the milestone and not the status field).

Note You need to log in before you can comment on or make changes to this bug.